/******************************************************************************
 *                                                                            *
 * File:   texttest.c         Version: 1.00            Date: 1996-12-19       *
 *                                                                            *
 * Copyright (C) 1996 by kostis@acm.org (Kosta Kostis)                        *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * Function:                                                                  *
 *     - TextEdit Library Test Sample                                         *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1996-12-19: KK V1.00                                                   *
 *        - initial coding                                                    *
 *                                                                            *
 *****************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include <textedit.h>

/******************************************************************************

	Function:

		Edit c:\autoexec.bat and make a copy
		called c:\autoexec.txt

 *****************************************************************************/

#define	FN_SRC		"c:\\autoexec.bat"
#define	FN_DST		"c:\\autoexec.txt"

int	main (void)
{
	int		rc ;
	TextFile	Text ;

	/**********************************************************************

		Read from Source File

	 *********************************************************************/

	rc = TextRead (&Text, FN_SRC) ;
	if (rc != TEXT_OK)
		return (rc) ;

	/**********************************************************************

		Modify TextEdit Buffer

	 *********************************************************************/

	TextPosHome (&Text) ;
	TextIns (&Text, "@REM home position") ;
	TextPosEnd (&Text) ;
	TextAdd (&Text, "@REM end position") ;

	/**********************************************************************

		Save to Destination File

	 *********************************************************************/

	rc = TextSave (&Text, FN_DST) ;
	if (rc != TEXT_OK)
		return (rc) ;

	/**********************************************************************

		Free Buffer

	 *********************************************************************/

	TextFree (&Text) ;

	return (TEXT_OK) ;
}
